# Integration basics

- [Using Altair](https://docs.autentique.com.br/api/integration-basics/altair.md): Altair is an application for running GraphQL queries/mutations. With it, you can build and check the results of requests on the web before integrating them into your code.
- [Sandbox/tests](https://docs.autentique.com.br/api/integration-basics/sandbox-testes.md): A great way to run tests on the platform without extra costs or using up your free documents.
- [Webhooks](https://docs.autentique.com.br/api/integration-basics/webhooks.md): Receive events from your organization on Autentique through your webhook endpoints.
- [Webhooks (deprecated)](https://docs.autentique.com.br/api/integration-basics/webhooks-1.md): How to set up Webhooks and receive document status notifications
- [Error messages](https://docs.autentique.com.br/api/integration-basics/mensagens-de-erro.md): Examples of error messages or validations returned by the API and what they are


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/integration-basics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
